full_validation: true
no_purge_output: false

default_env:
    RUN_ID:                             ""
    REF_BLOCK_SIZE:                     200
    READS_BLOCK_SIZE:                   200

inputs:
    # The reference assembly where gaps should be closed
    reference:          $PBGAPS/data/$DATASET/assembly-test.fasta
    # The set of long reads used for gap closing
    reads:              $PBGAPS/data/$DATASET/reads-$READS.fasta
    reads_type:         $READS_TYPE

outputs:
    # The gap-closed reference assembly
    output_assembly:        $PBGAPS/results/$DATASET/dentist/$READS$RUN_ID/gap-closed.fasta

# Base config file for dentist; this file will be
# copied and extended by `snakemake`
dentist_config:
    __default__:
        ploidy:                 2
        read-coverage:          $COVERAGE
        verbose:                2
        debug-pile-ups:         $PBGAPS/workdir/$DATASET/dentist/$READS$RUN_ID/pile-ups
        agp:                    $PBGAPS/results/$DATASET/dentist/$READS$RUN_ID/gap-closed.agp
    output:
        scaffolding:            $PBGAPS/workdir/$DATASET/dentist/$READS$RUN_ID/scaffolding.db

# Directories for intermediate and log files.
workdir:            $PBGAPS/workdir/$DATASET/dentist/$READS$RUN_ID
logdir:             $PBGAPS/workdir/$DATASET/dentist/$READS$RUN_ID/logs

# Maximum number of threads to use
max_threads:        8

# Align several read DB blocks in a single call to daligner. This reduces the
# number of jobs and increases the time per job but initial overhead in
# daligner is computed only once.
align_batch_size:   10

# Insertions are generated in batches of `batch_size`; use lower number to
# shorten the runtime of each job while increasing the number of jobs.
batch_size:         50

# Validation is split into this number of similar-sized parts of the
# gap-closed vs reads alignment. If the number of blocks is higher than the
# number of contigs in the gap-closed assembly then some validation runs will
# do nothing.
validation_blocks:  32

additional_options:
    reference_dbsplit:
        - -x1000
        - -a
        - -s$REF_BLOCK_SIZE
    reads_dbsplit:
        - -x1000
        - -a
        - -s$READS_BLOCK_SIZE
